<?php
/*******************************************************************************
    Wordpress IDX and Contact Manager Plugin
    Copyright (C) 2010 pyHub Limited/Agent Storm

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/
?>
    <div class="agentstorm-crumb">
        Properties &raquo; <?php if (get_option('as_idx_linkstate', true)): ?><a href="<?php echo $this->getStatePermalink($result); ?>"><?php endif; ?><?php echo (!empty($result->State)) ? ((strlen($result->State) == 2) ? strtoupper($result->State) : ucwords(strtolower($result->State))) : ucwords($state); ?><?php if (get_option('as_idx_linkstate', true)): ?></a><?php endif; ?> <?php if (!empty($result->City) || !empty($city)): ?>&raquo; <a href="<?php echo $this->getCityPermalink($result); ?>"><?php echo (!empty($result->City)) ? ucwords(strtolower($result->City)) : ucwords(strtolower($city)); ?></a><?php endif; ?>
    </div>
    
    <div class="agentstorm-result">
        <div class="agentstorm-result-image">
            <a href="#agentstorm-photos"><img src="<?php echo $result->Photos[0]->Url; ?>" width="100" /></a>
        </div>
        <div class="agentstorm-result-description">
            <div class="agentstorm-result-address"><?php echo $result->FullAddress; ?></div>
            <div class="agentstorm-result-subaddress"><a href="<?php echo $this->getCityPermalink($result); ?>"><?php echo ucwords(strtolower($result->City)); ?></a>, <?php if (get_option('as_idx_linkstate', true)): ?><a href="<?php echo $this->getStatePermalink($result); ?>"><?php endif; ?><?php echo (strlen($result->State) == 2) ? strtoupper($result->State) : ucwords(strtolower($result->State)); ?><?php if (get_option('as_idx_linkstate', true)): ?></a><?php endif; ?>. <?php echo $result->Zip; ?></div>
            <div class="agentstorm-result-list">
                <?php foreach (explode(',', get_option('as_metadata_' . $result->Type . '_header')) as $item): ?>
                    <?php if (!empty($item)): ?>
						<?php if (substr($item, 0, 8) == 'dynamic_'): ?>
							<div class="agentstorm-result-listitem"><label><?php echo get_option('as_fields_' . $result->Type . '_' . $item, ucwords(preg_replace('/(.*?[a-z]{1})([A-Z]{1}.*?)/', '${1} ${2}', substr($item, 8)))); ?>:</label> <?php echo ($result->{$item}) ? $result->{$item} : '<span class="agentstorm-empty">&mdash;</span>'; ?></div>
						<?php else: ?>
							<div class="agentstorm-result-listitem"><label><?php echo get_option('as_fields_' . $result->Type . '_' . $item, ucwords(preg_replace('/(.*?[a-z]{1})([A-Z]{1}.*?)/', '${1} ${2}', $item))); ?>:</label> <?php echo ($result->{$item}) ? $result->{$item} : '<span class="agentstorm-empty">&mdash;</span>'; ?></div>
						<?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            </div>
            <?php if (isset($walkscore) && $walkscore->status == 1): ?>
            <div class="agentstorm-walkscore">
                <div class="agentstorm-walkscore-listitem"><label><a rel="nofollow" href="<?php echo $walkscore->ws_link; ?>"><img src="<?php echo $walkscore->logo_url; ?>" /></a></label> <span style="font-size: 120%;"><strong><?php echo $walkscore->walkscore; ?></strong></span> <a rel="nofollow" href="<?php echo $walkscore->more_info_link; ?>"><img src="<?php echo $walkscore->more_info_icon; ?>" /></a></div>
            </div>
            <?php endif; ?>
        </div>
        <div class="agentstorm-result-price">$ <?php echo number_format($result->ListPrice); ?></div>
        <?php if (!empty($result->VirtualTourURL)): ?><div class="agentstorm-result-virtualtour"><a href="<?php echo $result->VirtualTourURL; ?>" target="_blank">View Virtual Tour</a></div><?php endif; ?>
        
        <?php if (get_option('as_idx_agent_name', '') != ''): ?>
        <div class="agentstorm-agentinfo">
        	<div class="agentstorm-agentinfo-title">For more information:</div>
        	<?php if (get_option('as_idx_agent_name', '') != ''): ?><div class="agentstorm-agentinfo-name"><?php echo get_option('as_idx_agent_name', ''); ?></div><?php endif; ?>
        	<?php if (get_option('as_idx_agent_phone', '') != ''): ?><div class="agentstorm-agentinfo-phone"><?php echo get_option('as_idx_agent_phone', ''); ?></div><?php endif; ?>
            <?php
                $link = 'mailto:' . get_option('as_idx_agent_email', '');
                $obfuscatedLink = "";
                for ($i=0; $i<strlen($link); $i++){
                    $obfuscatedLink .= "&#" . ord($link[$i]) . ";";
                }
            ?>
        	<?php if (get_option('as_idx_agent_email', '') != ''): ?><div class="agentstorm-agentinfo-email"><a href="<?php echo $obfuscatedLink; ?>">E-mail the agent</a></div><?php endif; ?>
        	<?php if (get_option('as_idx_agent_extra', '') != ''): ?><div class="agentstorm-agentinfo-extra"><?php echo nl2br(get_option('as_idx_agent_extra', '')); ?></div><?php endif; ?>
        </div>
        <?php endif; ?>
        
        <?php if (is_user_logged_in()): ?>
        <div id="agentstorm-propertyactions">
            <a href="<?php echo get_bloginfo('url', 'display') . '/user/saveProperty/?ListingId=' . $result->ListingId . '&FullAddress=' . urlencode($result->FullAddress); ?>" class="save">Save Property</a>
        </div>
        <?php endif; ?>
        
        <div class="agentstorm-result-remarks">
            
            <?php echo (!empty($result->Remarks)) ? $result->Remarks : ''; ?>
            
            <?php if (get_option('as_idx_schools', false) == "1"): ?>
            <table cellpadding="0" cellspacing="0" class="agentstorm-table">
                <tr class="agentstorm-odd">
                    <th class="agentstorm-cell" colspan="2">Schools</th>
                </tr>
                <tr class="agentstorm-even">
                    <td class="agentstorm-cell" style="width:200px;">School District</td>
                    <td class="agentstorm-cell"><?php echo ($result->SchoolDistrict) ? $result->SchoolDistrict : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-odd">
                    <td class="agentstorm-cell">Elementary School</td>
                    <td class="agentstorm-cell"><?php echo ($result->ElementarySchool) ? $result->ElementarySchool : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-even">
                    <td class="agentstorm-cell">Middle/Junior School</td>
                    <td class="agentstorm-cell"><?php echo ($result->MiddleOrJuniorSchool) ? $result->MiddleOrJuniorSchool : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-odd">
                    <td class="agentstorm-cell">High School</td>
                    <td class="agentstorm-cell"><?php echo ($result->HighSchool) ? $result->HighSchool : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
            </table>
            <?php endif; ?>
            
            <?php if (get_option('as_metadata_' . $result->Type . '_features', '') != ''): ?>
            <table cellpadding="0" cellspacing="0" class="agentstorm-table">
                <tr class="agentstorm-odd">
                    <th class="agentstorm-cell" colspan="2">Features</th>
                </tr>
                <?php foreach (explode(',', get_option('as_metadata_' . $result->Type . '_features')) as $key => $item): ?>
                    <?php if (!empty($item)): ?>
                        <tr class="agentstorm-<?php echo ( $key % 2 ? 'even' : 'odd' ); ?>">
                            <td class="agentstorm-cell" style="width:200px;"><?php echo ucwords(preg_replace('/(.*?[a-z]{1})([A-Z]{1}.*?)/', '${1} ${2}', $item)); ?></td>
                            <td class="agentstorm-cell"><?php echo ($result->{$item}) ? $result->{$item} : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                        </tr>
                    <?php endif; ?>
                <?php endforeach; ?>
            </table>
            <?php endif; ?>
            
            <?php if (get_option('as_idx_schools', false) == "2"): ?>
            <table cellpadding="0" cellspacing="0" class="agentstorm-table">
                <tr class="agentstorm-odd">
                    <th class="agentstorm-cell" colspan="2">Schools</th>
                </tr>
                <tr class="agentstorm-even">
                    <td class="agentstorm-cell" style="width:200px;">School District</td>
                    <td class="agentstorm-cell"><?php echo ($result->SchoolDistrict) ? $result->SchoolDistrict : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-odd">
                    <td class="agentstorm-cell">Elementary School</td>
                    <td class="agentstorm-cell"><?php echo ($result->ElementarySchool) ? $result->ElementarySchool : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-even">
                    <td class="agentstorm-cell">Middle/Junior School</td>
                    <td class="agentstorm-cell"><?php echo ($result->MiddleOrJuniorSchool) ? $result->MiddleOrJuniorSchool : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
                <tr class="agentstorm-odd">
                    <td class="agentstorm-cell">High School</td>
                    <td class="agentstorm-cell"><?php echo ($result->HighSchool) ? $result->HighSchool : '<span class="agentstorm-empty">&mdash;</span>'; ?></td>
                </tr>
            </table>
            <?php endif; ?>
            
		    <div class="gallery">
                <h5 class="agentstorm-sectionheader"><a name="agentstorm-photos"></a><strong>Photos</strong></h5>
			    <ul id="agentstorm-gallery" class="jcarousel-skin-pika">
			    <?php foreach ($result->Photos as $photo): ?>
					<li><img src="<?php echo $photo->Url; ?>" /></li>
				<?php endforeach; ?>
				</ul>
		    </div>
		    
            <?php if ($result->Latitude && get_option('as_idx_gmap')): ?>
                <div class="agentstorm-map">
                    <h5 class="agentstorm-sectionheader"><strong>Map</strong></h5>
                    <div id="agentstorm-gmap" style="width:100%; height:250px;"></div>
                </div>
            <?php else: ?>
                <div class="agentstorm-map">
                    <h5 class="agentstorm-sectionheader"><strong>Map</strong></h5>
                    Map is unavailable for this property
                </div>
            <?php endif; ?>
            
            <?php if ($result->Latitude && get_option('as_idx_bview')): ?>
                <div class="agentstorm-map">
                    <h5 class="agentstorm-sectionheader"><strong>Birds Eye View</strong></h5>
                    <iframe width="100%" height="250" frameborder="0" scrolling="no" src="http://dev.virtualearth.net/embeddedMap/v1/ajax/Birdseye?center=<?php echo $result->Latitude; ?>_<?php echo $result->Longitude; ?>&amp;pushpins=<?php echo $result->Latitude; ?>_<?php echo $result->Longitude; ?>" marginwidth="0" marginheight="0"></iframe>
                </div>
            <?php else: ?>
                <div class="agentstorm-map">
                    <h5 class="agentstorm-sectionheader"><strong>Birds Eye View</strong></h5>
                    Birds Eye View is unavailable for this property
                </div>
            <?php endif; ?>
            
            <div class="agentstorm-copyright">
            	<div class="agentstorm-br-logo"><img src="<?php echo bloginfo('url'); ?>/wp-content/plugins/agent-storm/static/images/broker_reciprocity.gif" align="left" /></div>
            	<p class="first">
            		Listing Provided by <?php echo (!empty($result->AgentName)) ? ucwords(strtolower($result->AgentName)) : ucwords(strtolower($result->AgentFirstName)) . ' ' . ucwords(strtolower($result->AgentLastName)); ?>, <?php echo ucwords(strtolower($result->AgentCompany)); ?>. 
            	</p>
	            <p>
	            	The data relating to real estate for sale on this web site comes in part from the Broker Reciprocity Program.
	            </p>
	            <p>
	            	The information being provided is for consumers' personal, non-commercial use and may not be used for any other purpose other than to identify prospective properties consumers may be interested in purchasing.
	            </p>
	            <p class="last">
	            	Information deemed reliable but not guaranteed.
	            </p>
            </div>
            
        </div>
    </div>
	
	<img src="<?php echo $result->TrackingUrl; ?>" />
    
    <?php if ($result->Latitude && get_option('as_idx_gmap')): ?>
        <script>
            onload = function(){
                var gmapOptions = {
                    zoom: 16,
                    center: new google.maps.LatLng(<?php echo $result->Latitude; ?>, <?php echo $result->Longitude; ?>),
                    mapTypeId: google.maps.MapTypeId.ROADMAP
                };
                var map = new google.maps.Map(document.getElementById("agentstorm-gmap"), gmapOptions);
                var marker = new google.maps.Marker({
                    position: new google.maps.LatLng(<?php echo $result->Latitude; ?>, <?php echo $result->Longitude; ?>), 
                    map: map
                });  
            }
        </script>
    <?php endif; ?>
    
